/*

DESCRIPTION:  binary.h.  General binary constants.

SYNTAX:  n/a

KNOWN BUGS:  n/a.

COPYRIGHT:  (c) 2016, Brian Cornell, all rights reserved.

DEPENDENCIES:  none

VERSION:  1.0, release

MODIFICATION HISTORY:

    8 Dec 16, BWC, created file.


*/


#define DISABLE     0
#define ENABLE      1
#define FALSE       0
#define TRUE        1
#define FAIL        0
#define SUCCESS     1
#define OUTPUT      0
#define INPUT       1
#define DIGITAL     0
#define ANALOG      1
#define LLTTL       0
#define LLST        1
#define MEMPRG      0
#define MEMCFG      1
#define ROWWRT      0
#define ROWERS      1
#define LATCHWR     0
#define LATCHLD     1
#define PUSHPULL    0                   //Push-pull drive
#define MAXSLEW     0                   //Port pin slews at maximum rate
#define NOTBVAL     2                   //A constant representing a non-binary value


//End of file